# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-myhdl
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           python-module-myhdl
Version:        0.8.1
Release:        alt1_3
Summary:        A python hardware description and verification language

Group:          Engineering
License:        LGPLv2+
URL:            http://myhdl.org
Source0:        http://downloads.sourceforge.net/myhdl/myhdl-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel
Source44: import.info

%description
%{oldname} is a Python hardware description and verification language that 
helps you go from Python to silicon. MyHDL code can be converted to Verilog 
and VHDL. It can also be used to convert signals, do co-simulation 
with Verilog, generating test benches with test vectors for VHDL, Verilog and 
supports viewing waveform by tracing signal changes in a VCD file.

%prep
%setup -q -n myhdl-%{version}

find -name '*.txt' | xargs chmod -x
find -name '*.py'  | xargs sed -i '1s|^#!python|#!%{__python}|'

%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root %{buildroot}


%files
%doc CHANGELOG.txt CHANGES.txt LICENSE.txt README.txt example
%{python_sitelibdir_noarch}/*

%changelog
* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.8.1-alt1_3
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 0.8.1-alt1_2
- update to new release by fcimport

* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 0.8.1-alt1_1
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.8-alt1_3
- update to new release by fcimport

* Mon Sep 02 2013 Igor Vlasenko <viy@altlinux.ru> 0.8-alt1_2
- update to new release by fcimport

* Fri May 31 2013 Igor Vlasenko <viy@altlinux.ru> 0.8-alt1_1
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.7-alt1_4
- update to new release by fcimport

* Mon Dec 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.7-alt1_3
- initial fc import

